# Get qualified number

Return a qualified number as specified by the phone number in the path.

Endpoint: GET /v1/projects/{projectId}/qualifiedNumbers/{phoneNumber}
Version: 1.0
Security: Basic, OAuth2.0

## Path parameters:

  - `projectId` (string, required)
    Found on your Sinch Customer Dashboard. Settings > Projects.
    Example: "d1923022-5199-4bb3-a513-c47b3a656bc5"

  - `phoneNumber` (string, required)
    The phone number in E.164 format with leading +.
    Example: "+12025550134"

## Response 200 fields (application/json):

  - `phoneNumber` (string)
    The phone number in e.164 format with leading +.
    Example: "+12025550134"

  - `projectId` (string)
    The ID of the project to which the number belongs.
    Example: "abcd12ef-ab12-ab12-bc34-abcdef123456"

  - `regionCode` (string)
    ISO 3166-1 alpha-2 country code of the phone number. Example US or CA.
    Example: "US"

  - `globalProcessState` (string)
    The global processing state of the qualified number.
    Enum: "GLOBAL_PROCESS_STATE_UNSPECIFIED", "GLOBAL_PROCESS_STATE_ELIGIBLE_CHECK_PENDING", "GLOBAL_PROCESS_STATE_ELIGIBLE", "GLOBAL_PROCESS_STATE_NOT_ELIGIBLE", "GLOBAL_PROCESS_STATE_VERIFICATION_PENDING", "GLOBAL_PROCESS_STATE_VERIFICATION_FAILED", "GLOBAL_PROCESS_STATE_VERIFICATION_BLOCKED", "GLOBAL_PROCESS_STATE_VERIFIED", "GLOBAL_PROCESS_STATE_HOSTING_IN_PROGRESS", "GLOBAL_PROCESS_STATE_HOSTING_DONE", "GLOBAL_PROCESS_STATE_HOSTING_FAILED"

  - `osrEligibility` (object)
    Details about the OSR eligibility, including the status of the OSR update, and the error if available.

  - `osrEligibility.status` (string)
    Indicates the current state of the operation.
    Enum: "DONE", "FAILED", "IN_PROGRESS", "WAITING", "STATE_UNSPECIFIED"

  - `osrEligibility.error` (string)

  - `ownershipVerification` (object)
    Details about the ownership verification, including the status of the verification process and any error if available.

  - `ownershipVerification.status` (string)
    Indicates the current state of the operation.
    Enum: same as `osrEligibility.status` (5 values)

  - `ownershipVerification.error` (string)

  - `hostedNumber` (object)
    Details about the hosting status of a number, including any errors if available.

  - `hostedNumber.status` (integer)
    The status of the hosting details.
    Enum: 0, 1, 2

  - `hostedNumber.error` (string)
    The description of the hosting status error.

  - `createdTime` (string)
    The date and time the hosting order was created.

  - `updatedTime` (string)
    The date and time the hosting order was last updated.

## Response 404 fields (application/json):

  - `code` (string)
    The HTTP response code for the error.
    Example: "404"

  - `message` (string)
    The friendly message describing the reason for the error response.
    Example: "The imported number could not be found."

  - `status` (string)
    The HTTP response status for the error.
    Example: "NOT_FOUND"


